218e99
From c896fb12ce68b579e8954651db3d903600cf0f00 Mon Sep 17 00:00:00 2001
218e99
From: Fam Zheng <famz@redhat.com>
218e99
Date: Tue, 6 Aug 2013 15:44:50 +0800
218e99
Subject: [PATCH 04/13] qemu-iotests: add empty test case for vmdk
218e99
218e99
Message-id: <1377573001-27070-5-git-send-email-famz@redhat.com>
218e99
Patchwork-id: 53784
218e99
O-Subject: [RHEL-7 qemu-kvm PATCH 04/13] qemu-iotests: add empty test case for
218e99
        vmdk
218e99
Bugzilla: 995866
218e99
RH-Acked-by: Paolo Bonzini <pbonzini@redhat.com>
218e99
RH-Acked-by: Stefan Hajnoczi <stefanha@redhat.com>
218e99
RH-Acked-by: Kevin Wolf <kwolf@redhat.com>
218e99
218e99
Will add vmdk specific tests later here.
218e99
218e99
Signed-off-by: Fam Zheng <famz@redhat.com>
218e99
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
218e99
(cherry picked from commit ca6cbb657d66a7beb70f9d91848c80d1a72b1674)
218e99
Signed-off-by: Fam Zheng <famz@redhat.com>
218e99
218e99
Conflicts:
218e99
	tests/qemu-iotests/group
218e99
        Context conflict because some test scritps do not exist yet.
218e99
---
218e99
 tests/qemu-iotests/059     |   51 ++++++++++++++++++++++++++++++++++++++++++++
218e99
 tests/qemu-iotests/059.out |    2 +
218e99
 tests/qemu-iotests/group   |    1 +
218e99
 3 files changed, 54 insertions(+), 0 deletions(-)
218e99
 create mode 100755 tests/qemu-iotests/059
218e99
 create mode 100644 tests/qemu-iotests/059.out
218e99
218e99
diff --git a/tests/qemu-iotests/059 b/tests/qemu-iotests/059
218e99
new file mode 100755
218e99
index 0000000..9dc7f64
218e99
--- /dev/null
218e99
+++ b/tests/qemu-iotests/059
218e99
@@ -0,0 +1,51 @@
218e99
+#!/bin/bash
218e99
+#
218e99
+# Test case for vmdk
218e99
+#
218e99
+# Copyright (C) 2013 Red Hat, Inc.
218e99
+#
218e99
+# This program is free software; you can redistribute it and/or modify
218e99
+# it under the terms of the GNU General Public License as published by
218e99
+# the Free Software Foundation; either version 2 of the License, or
218e99
+# (at your option) any later version.
218e99
+#
218e99
+# This program is distributed in the hope that it will be useful,
218e99
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
218e99
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
218e99
+# GNU General Public License for more details.
218e99
+#
218e99
+# You should have received a copy of the GNU General Public License
218e99
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
218e99
+#
218e99
+
218e99
+# creator
218e99
+owner=famz@redhat.com
218e99
+
218e99
+seq=`basename $0`
218e99
+echo "QA output created by $seq"
218e99
+
218e99
+here=`pwd`
218e99
+tmp=/tmp/$$
218e99
+status=1	# failure is the default!
218e99
+
218e99
+_cleanup()
218e99
+{
218e99
+	_cleanup_test_img
218e99
+}
218e99
+trap "_cleanup; exit \$status" 0 1 2 3 15
218e99
+
218e99
+# get standard environment, filters and checks
218e99
+. ./common.rc
218e99
+. ./common.filter
218e99
+
218e99
+# This tests vmdk-specific low-level functionality
218e99
+_supported_fmt vmdk
218e99
+_supported_proto generic
218e99
+_supported_os Linux
218e99
+
218e99
+granularity_offset=16
218e99
+
218e99
+# success, all done
218e99
+echo "*** done"
218e99
+rm -f $seq.full
218e99
+status=0
218e99
diff --git a/tests/qemu-iotests/059.out b/tests/qemu-iotests/059.out
218e99
new file mode 100644
218e99
index 0000000..4ca7f29
218e99
--- /dev/null
218e99
+++ b/tests/qemu-iotests/059.out
218e99
@@ -0,0 +1,2 @@
218e99
+QA output created by 059
218e99
+*** done
218e99
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
218e99
index 68eabda..3b1d042 100644
218e99
--- a/tests/qemu-iotests/group
218e99
+++ b/tests/qemu-iotests/group
218e99
@@ -60,3 +60,4 @@
218e99
 051 rw auto
218e99
 052 rw auto backing
218e99
 053 rw auto
218e99
+059 rw auto
218e99
-- 
218e99
1.7.1
218e99